aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/do-newntpstat
diff options
context:
space:
mode:
authorMatt Rude <[email protected]>2011-05-07 20:24:11 -0500
committerMatt Rude <[email protected]>2011-05-07 20:24:11 -0500
commit36ef6b4fe2c26f3c03340a31b64e4d329c482adb (patch)
tree304f8d5e314c84aeb4793590cc67a4bbd5f2be5d /scripts/do-newntpstat
parentf050e9d654ac9f8c237bcfaa27f84f9341d4179d (diff)
downloadtime.mattrude.com-36ef6b4fe2c26f3c03340a31b64e4d329c482adb.tar.gz
time.mattrude.com-36ef6b4fe2c26f3c03340a31b64e4d329c482adb.tar.bz2
time.mattrude.com-36ef6b4fe2c26f3c03340a31b64e4d329c482adb.zip
still starting out
Diffstat (limited to 'scripts/do-newntpstat')
-rwxr-xr-xscripts/do-newntpstat21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/do-newntpstat b/scripts/do-newntpstat
new file mode 100755
index 0000000..8f4e1d7
--- /dev/null
+++ b/scripts/do-newntpstat
@@ -0,0 +1,21 @@
+#! /bin/sh
+
+case "$1" in
+ "") echo "Missing system name."; exit 1
+esac
+
+RRD_BIN=/usr/local/bin
+
+# 26 hours and 8 days data bins
+
+${RRD_BIN}/rrdtool create $1.rrd \
+ DS:offset:GAUGE:1200:U:U \
+ DS:sjit:GAUGE:1200:U:U \
+ DS:cjit:GAUGE:1200:U:U \
+ DS:wander:GAUGE:1200:U:U \
+ DS:freq:GAUGE:1200:U:U \
+ DS:disp:GAUGE:1200:U:U \
+ RRA:LAST:0.5:1:312 \
+ RRA:LAST:0.5:12:2304
+
+#end